Bug 26084 - ConsiderOnSiteCheckoutsAsNormalCheckouts description is unclear
Summary: ConsiderOnSiteCheckoutsAsNormalCheckouts description is unclear
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 12:38 UTC by Nick Clemens
Modified: 2020-08-16 20:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts (1.34 KB, patch)
2020-07-29 16:00 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts (1.41 KB, patch)
2020-07-31 10:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts (1.46 KB, patch)
2020-07-31 10:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-07-29 12:38:33 UTC
'Consider/Don't Consider' on-site checkouts as normal checkouts. If enabled, the number of checkouts allowed will be normal checkouts + on-site checkouts. If disabled, both values will be checked separately. 


I think a better explanation is:
If enabled on-site checkouts will count toward the checkout limit for regular checkouts. The on-site limit will still apply for on-site checkouts.
Comment 1 Andrew Fuerste-Henry 2020-07-29 16:00:29 UTC
Created attachment 107517 [details] [review]
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts

To test:
- apply patch
- confirm explanation reads as suggested
Comment 2 ByWater Sandboxes 2020-07-31 10:09:13 UTC
Created attachment 107629 [details] [review]
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts

To test:
- apply patch
- confirm explanation reads as suggested

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Nick Clemens 2020-07-31 10:43:50 UTC
Created attachment 107633 [details] [review]
Bug 26084: Clarify language on ConsiderOnSiteSheckoutsAsNormalCheckouts

To test:
- apply patch
- confirm explanation reads as suggested

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-08-03 09:29:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-13 17:02:57 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 20:57:16 UTC
enhancement, not backported to 19.11.x